List pending image shares
curl --request GET \
--url https://api.blaxel.ai/v0/pending-image-shares \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/pending-image-shares"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/pending-image-shares', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"createdAt": "<string>",
"expiresAt": "<string>",
"hasConflict": true,
"id": "<string>",
"imageName": "<string>",
"resourceType": "<string>",
"sharedBy": "<string>",
"sharedByEmail": "<string>",
"sourceAccountId": "<string>",
"sourceWorkspace": "<string>",
"sourceWorkspaceDisplayName": "<string>",
"targetAccountId": "<string>",
"targetWorkspace": "<string>",
"targetWorkspaceDisplayName": "<string>"
}
]images
List pending image shares
Lists pending cross-account image shares targeting the caller’s workspace (incoming) or originating from it (outgoing). Expired shares are cleaned up opportunistically.
GET
/
pending-image-shares
List pending image shares
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Query Parameters
Direction of pending shares: "incoming" (default) or "outgoing"
Available options:
incoming, outgoing Response
200 - application/json
successful operation
Creation date
Expiration date
Whether the target workspace already has an image with the same name (potential conflict)
Unique identifier for the pending image share
Image name (repository)
Resource type (agent, function, sandbox, job)
User sub who initiated the share
Email of the user who initiated the share
Source account ID
Source workspace name
Source workspace display name
Target account ID
Target workspace name
Target workspace display name
Last modified on September 3, 2026
Was this page helpful?
